Query pipeline executions

Query the pipeline executions of a source.
The fields that can be used to filter or sort pipeline executions are:

  • id: The pipeline execution id.
  • pipelineDefinitionId: The pipeline definition id.
  • createdAt: The pipeline execution creation timestamp.
  • updatedAt: The pipeline execution last update timestamp.
  • status: The pipeline execution status.
  • operation.action: The action of the operation that triggered the pipeline execution.
  • operation.taskId: The id of the task that triggered the pipeline execution.
  • operation.target.targetType: The type of the target that triggered the pipeline execution. It can be 'RESOURCE' or 'RELATIONSHIP'.
  • operation.target.type: The type of the resource or relationship that triggered the pipeline execution.
  • operation.target.id: The id of the resource or relationship that triggered the pipeline execution.
    Note: It is also possible to filter or sort on fields under processedOperation, which represents the operation as processed by the pipeline execution.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The key of the source.

Query Params
boolean
Defaults to false

If set to true, the response will include, for each pipeline execution, the body of the operation which triggered the pipeline. Defaults to false.

Body Params
filter
query
highlighting
array of strings
highlighting
int32
int32
Defaults to 20
sort
object
ranking
aggregations
array of objects
aggregations
traversedProperties
array of strings

The properties from the relationships or adjacent records that will be returned in the search response.
The wildcard '*' can be used in itself or in combination with a prefix

  • * will return all traversed properties.
  • @worksAt.* will return all traversed properties from the relationship 'worksAt'.
  • @worksAt.@clinic.* will return all traversed properties from an adjacent 'clinic' connected with a 'worksAt' relationship.
traversedProperties
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json